From e64330c4dd1519424b9ab20b72071498dc1f5f9b Mon Sep 17 00:00:00 2001
From: Yuan Fu <casouri@gmail.com>
Date: Thu, 4 Feb 2021 15:30:38 -0500
Subject: [PATCH] demo

---
 src/image.c | 19 +++++++++----------
 1 file changed, 9 insertions(+), 10 deletions(-)

diff --git a/src/image.c b/src/image.c
index a124cf91ba..4b2504bb52 100644
--- a/src/image.c
+++ b/src/image.c
@@ -2203,16 +2203,7 @@ image_set_transform (struct frame *f, struct image *img)
   /* Determine size.  */
   int width, height;
 
-#ifdef HAVE_RSVG
-  /* SVGs are pre-scaled to the correct size.  */
-  if (EQ (image_spec_value (img->spec, QCtype, NULL), Qsvg))
-    {
-      width = img->width;
-      height = img->height;
-    }
-  else
-#endif
-    compute_image_size (img->width, img->height, img->spec, &width, &height);
+  compute_image_size (img->width, img->height, img->spec, &width, &height);
 
   /* Determine rotation.  */
   double rotation = 0.0;
@@ -10008,6 +9999,14 @@ svg_load_image (struct frame *f, struct image *img, char *contents,
   compute_image_size (viewbox_width, viewbox_height, img->spec,
                       &width, &height);
 
+  Lisp_Object value = image_spec_value (img->spec, QCscale, NULL);
+  if (NUMBERP (value))
+    {
+      double scale = XFLOATINT(value);
+      width /= scale;
+      height /= scale;
+    }
+
   if (! check_image_size (f, width, height))
     {
       image_size_error ();
-- 
2.24.3 (Apple Git-128)

